 package com.sooka.sponest.monitor.dahua.domain;

 import com.ruoyi.common.core.annotation.Excel;
 import com.ruoyi.common.core.web.domain.BaseEntity;
 import io.swagger.annotations.ApiModelProperty;
 import org.apache.commons.lang3.builder.ToStringBuilder;
 import org.apache.commons.lang3.builder.ToStringStyle;

 import java.util.List;

 /**
  * 附件对象 centerdata_t_attach
  *
  * @author ruoyi
  * @date 2022-06-11
  */
 public class CenterdataTAttach extends BaseEntity
 {
     private static final long serialVersionUID = 1L;

     /**
      * 业务ID
      */
     @ApiModelProperty(value = "业务id", required = true)
     @Excel(name = "业务ID")
     private String busId;


     public List<String> getBusIds() {
         return busIds;
     }

     public void setBusIds(List<String> busIds) {
         this.busIds = busIds;
     }

     private List<String> busIds;
     /**
      * 路径
      */
     @ApiModelProperty(value = "路径", required = false)
     @Excel(name = "路径")
     private String attachPath;

     /**
      * 业务类型（索引）
      */
     @ApiModelProperty(value = "业务类型", required = false)
     @Excel(name = "业务类型")
     private String busIndx;

     /**
      * 附件来源
      */
     @ApiModelProperty(value = "附件来源", required = false)
     @Excel(name = "附件来源")
     private String busSource;

     /**
      * 附件名称
      */
     @ApiModelProperty(value = "附件名称", required = false)
     @Excel(name = "附件名称")
     private String fileName;

     /**
      * 附件类型
      */
     @ApiModelProperty(value = "附件类型", required = false)
     @Excel(name = "附件类型")
     private String fileType;

     public String getBusId() {
         return busId;
     }

     public void setBusId(String busId) {
         this.busId = busId;
     }

     public String getAttachPath() {
         return attachPath;
     }

     public void setAttachPath(String attachPath) {
         this.attachPath = attachPath;
     }

     public String getBusIndx() {
         return busIndx;
     }

     public void setBusIndx(String busIndx) {
         this.busIndx = busIndx;
     }

     public String getBusSource() {
         return busSource;
     }

     public void setBusSource(String busSource) {
         this.busSource = busSource;
     }

     public String getFileName() {
         return fileName;
     }

     public void setFileName(String fileName) {
         this.fileName = fileName;
     }

     public String getFileType() {
         return fileType;
     }

     public void setFileType(String fileType) {
         this.fileType = fileType;
     }

     @Override
     public String toString() {
         return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                 .append("busId", getBusId())
                 .append("attachPath", getAttachPath())
                 .append("busIndx", getBusIndx())
                 .append("busSource", getBusSource())
                 .append("fileName", getFileName())
                 .append("fileType", getFileType())
                 .toString();
     }
 }
